--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 						IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn)
VALUES	('PDAN_HITTITES_ALPHA_ATLAS', 	128, 		'atlas_hittitesVP128.dds',		1,			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	80, 		'atlas_hittitesVP80.dds',		1, 			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	64, 		'atlas_hittitesVP64.dds',		1, 			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	48, 		'atlas_hittitesVP48.dds',		1, 			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	45, 		'atlas_hittitesVP45.dds',		1, 			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	32, 		'atlas_hittitesVP32.dds',		1, 			2),
		('PDAN_HITTITES_ALPHA_ATLAS', 	24, 		'atlas_hittitesVP24.dds',		1, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	256, 		'atlas_hittitesVP256.dds',		4, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	128, 		'atlas_hittitesVP128.dds',		4, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	80, 		'atlas_hittitesVP80.dds',		4, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	64, 		'atlas_hittitesVP64.dds',		4, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	45, 		'atlas_hittitesVP45.dds',		4, 			2),
		('PDAN_HITTITES_ICON_ATLAS', 	32, 		'atlas_hittitesVP32.dds',		4, 			2),
		('PDAN_UNIT_FLAG_ANSUKURRA',	32, 		'AnsukurraUnitAlphaAtlas.dds',	1, 			1),
		('PDAN_UNIT_FLAG_ANYT',			32, 		'AnytUnitAlphaAtlas.dds',		1, 			1);
--==========================================================================================================================	
-- Colors
--==========================================================================================================================			
INSERT INTO Colors 
			(Type, 										Red, 	Green, 	Blue, 	Alpha)
VALUES		('COLOR_PLAYER_PDAN_HITTITES_ICON',			0.769, 	0.584, 	0.318,	1), -- #c49551
			('COLOR_PLAYER_PDAN_HITTITES_BACKGROUND',	0.341, 	0.196,	0.118,	1); -- #57321e
--==========================================================================================================================	
-- PlayerColors
--==========================================================================================================================				
INSERT INTO PlayerColors
			(Type, 							PrimaryColor, 						SecondaryColor, 								TextColor)
VALUES		('PLAYERCOLOR_PDAN_HITTITES',	'COLOR_PLAYER_PDAN_HITTITES_ICON', 	'COLOR_PLAYER_PDAN_HITTITES_BACKGROUND', 			'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 									Filename, 		LoadType)
VALUES	('SND_LEADER_MUSIC_PDAN_HITTITES_PEACE',	'HittitePeace',	'DynamicResident'),
		('SND_LEADER_MUSIC_PDAN_HITTITES_WAR', 		'HittiteWar', 	'DynamicResident');		
--------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 									SoundID, 									SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_LEADER_MUSIC_PDAN_HITTITES_PEACE',	'SND_LEADER_MUSIC_PDAN_HITTITES_PEACE', 'GAME_MUSIC', 	-1.0,					50, 		50, 		1, 		 0),
		('AS2D_LEADER_MUSIC_PDAN_HITTITES_WAR', 	'SND_LEADER_MUSIC_PDAN_HITTITES_WAR', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1,		 0);
--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView
		(StrategicViewType,				TileType, Asset)
VALUES	('ART_DEF_UNIT_PDAN_ANSUKURRA',	'Unit', 'SV_Hittite_WarChariot.dds');

INSERT INTO ArtDefine_UnitInfos
		(Type,								DamageStates, Formation)
SELECT	('ART_DEF_UNIT_PDAN_ANSUKURRA'), 	DamageStates, Formation
FROM ArtDefine_UnitInfos WHERE (Type = 'ART_DEF_UNIT_CHARIOT_ARCHER');

INSERT INTO ArtDefine_UnitInfoMemberInfos
		(UnitInfoType,					UnitMemberInfoType,						NumMembers)
SELECT	'ART_DEF_UNIT_PDAN_ANSUKURRA', 'ART_DEF_UNIT_MEMBER_PDAN_ANSUKURRA', 	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_CHARIOT_ARCHER');

INSERT INTO ArtDefine_UnitMemberInfos
		(Type, 									Scale,  ZOffset, Domain, Model, 						MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_PDAN_ANSUKURRA',	Scale,	ZOffset, Domain, 'hititte_war_chariot.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_CHARIOTARCHER');

INSERT INTO ArtDefine_UnitMemberCombats
		(UnitMemberType, EnableActions, ShortMoveRadius, ShortMoveRate, TargetHeight, HasRefaceAfterCombat)
VALUES	('ART_DEF_UNIT_MEMBER_PDAN_ANSUKURRA', 'Idle Attack RunCharge AttackCity Bombard Death BombardDefend Run Fortify CombatReady Walk AttackCharge', 12.0, 0.349999994039536, 8.0, 1);

INSERT INTO ArtDefine_UnitMemberCombatWeapons
		(UnitMemberType, "Index", SubIndex, WeaponTypeTag, WeaponTypeSoundOverrideTag)
VALUES	('ART_DEF_UNIT_MEMBER_PDAN_ANSUKURRA', 0, 0, 'METAL', 'SWORD');

INSERT INTO ArtDefine_UnitMemberCombatWeapons
		(UnitMemberType, "Index", SubIndex, VisKillStrengthMin, VisKillStrengthMax, WeaponTypeTag, MissTargetSlopRadius)
VALUES	('ART_DEF_UNIT_MEMBER_PDAN_ANSUKURRA', 1, 0, 10.0, 20.0, 'FLAMING_ARROW', 10.0);
--====================================================================
--====================================================================
INSERT INTO ArtDefine_StrategicView
		(StrategicViewType,			TileType, Asset)
VALUES	('ART_DEF_UNIT_PDAN_ANYT',	'Unit', 'SV_AnytUnit.dds');

INSERT INTO ArtDefine_UnitInfos 
			(Type, 						DamageStates,	Formation)
VALUES		('ART_DEF_UNIT_PDAN_ANYT',	3, 				'TwoBigGuns');

INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,				UnitMemberInfoType,					NumMembers)
VALUES		('ART_DEF_UNIT_PDAN_ANYT',	'ART_DEF_UNIT_MEMBER_PDAN_ANYT',	2);

INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,										EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		('ART_DEF_UNIT_MEMBER_PDAN_ANYT'),			EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_TRIREME');

INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,					"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_PDAN_ANYT'),	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_TRIREME');

INSERT INTO ArtDefine_UnitMemberInfos 	
			(Type, 								Scale,  ZOffset, Domain, Model, 			MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_PDAN_ANYT'),	0.055,	ZOffset, Domain, ('bireme.fxsxml'),	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_TRIREME');
--==========================================================================================================================	
--==========================================================================================================================
UPDATE Language_en_US SET Text = 'Enslavement' WHERE Tag = 'TXT_KEY_PROMOTION_ENSLAVEMENT';