--=======================================================================================================================
-- SETTINGS
--=======================================================================================================================
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_WAR_AND_PEACE';
UPDATE CustomModOptions SET Value = 1 WHERE Name = 'EVENTS_MINORS_INTERACTION';
--=======================================================================================================================
-- BUILDINGCLASSES
--=======================================================================================================================
-- BuildingClasses
--------------------------------
INSERT OR REPLACE INTO BuildingClasses
		(DefaultBuilding, 			Type, 							Description)
VALUES	('BUILDING_PDAN_UB1DUMMY',	'BUILDINGCLASS_PDAN_UB1DUMMY',	'TXT_KEY_BUILDING_PDAN_UB1DUMMY');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
--------------------------------
INSERT INTO Buildings 	
		(Type, 							BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	PrereqTech,	GreatPeopleRateChange, SpecialistCount, SpecialistType, Description,							Civilopedia,								Help,										Strategy,										ArtDefineTag,	MinAreaSize,	NeverCapture,	HurryCostModifier,	IconAtlas,				PortraitIndex)
SELECT	('BUILDING_PDAN_EDUBSARGIS'),	BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	PrereqTech,	GreatPeopleRateChange, SpecialistCount, SpecialistType, ('TXT_KEY_BUILDING_PDAN_EDUBSARGIS'),	('TXT_KEY_BUILDING_PDAN_EDUBSARGIS_TEXT'),	('TXT_KEY_BUILDING_PDAN_EDUBSARGIS_HELP'),	('TXT_KEY_BUILDING_PDAN_EDUBSARGIS_STRATEGY'),	ArtDefineTag,	MinAreaSize,	1,				HurryCostModifier,	'PDAN_HITTITES_ICON_ATLAS',	3
FROM Buildings WHERE (Type = 'BUILDING_COURT_SCRIBE');

INSERT OR REPLACE INTO Buildings
		(Type, 						BuildingClass, 					IsDummy,	Cost,	FaithCost,	GreatWorkCount,	PrereqTech,	MinAreaSize,	Description)
VALUES	('BUILDING_PDAN_UB1DUMMY', 'BUILDINGCLASS_PDAN_UB1DUMMY',	1,			-1,		-1,			-1,				null,		-1,				'TXT_KEY_BUILDING_PDAN_UB1DUMMY');
UPDATE Buildings SET CitySupplyFlat= 3 WHERE TYPE = 'BUILDING_PDAN_UB1DUMMY';
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 				FlavorType,	Flavor)
SELECT	'BUILDING_PDAN_EDUBSARGIS',	FlavorType,	Flavor
FROM Building_Flavors WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------	
-- Building_UnitCombatProductionModifiers
------------------------------		
INSERT INTO Building_UnitCombatProductionModifiers 
		(BuildingType, 					UnitCombatType, Modifier)
SELECT	'BUILDING_PDAN_EDUBSARGIS',		UnitCombatType, Modifier
FROM Building_UnitCombatProductionModifiers WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------	
-- Building_YieldChanges
------------------------------
INSERT INTO Building_YieldChanges
		(BuildingType, 					YieldType, 			Yield)
VALUES	('BUILDING_PDAN_EDUBSARGIS', 	'YIELD_CULTURE', 	2),
		('BUILDING_PDAN_EDUBSARGIS', 	'YIELD_PRODUCTION', 2);
------------------------------	
-- Building_ResourceQuantity
------------------------------		
INSERT INTO Building_ResourceQuantity 	
		(BuildingType, 				ResourceType,	Quantity)
SELECT	'BUILDING_PDAN_EDUBSARGIS',	ResourceType,	Quantity+1
FROM Building_ResourceQuantity WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------	
-- Building_YieldPerFriend
------------------------------		
INSERT INTO Building_YieldPerFriend 	
		(BuildingType, 				YieldType,	Yield)
SELECT	'BUILDING_PDAN_EDUBSARGIS',	YieldType,	Yield
FROM Building_YieldPerFriend WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------	
-- Building_YieldPerAlly
------------------------------		
INSERT INTO Building_YieldPerAlly 	
		(BuildingType, 				YieldType,	Yield)
SELECT	'BUILDING_PDAN_EDUBSARGIS',	YieldType,	Yield
FROM Building_YieldPerAlly WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------	
-- Building_BuildingClassYieldChanges
------------------------------		
INSERT INTO Building_BuildingClassYieldChanges
		(BuildingType, 					BuildingClassType, 				YieldType,			YieldChange)
VALUES	('BUILDING_PDAN_EDUBSARGIS', 	'BUILDINGCLASS_BARRACKS',		'YIELD_SCIENCE', 	2),
		('BUILDING_PDAN_EDUBSARGIS', 	'BUILDINGCLASS_ARMORY',			'YIELD_PRODUCTION', 3),
		('BUILDING_PDAN_UB1DUMMY', 		'BUILDINGCLASS_COURT_SCRIBE',	'YIELD_SCIENCE', 	5);
------------------------------	
-- Building_FreeUnits
------------------------------		
INSERT INTO Building_FreeUnits
		(BuildingType, 				UnitType, NumUnits)
SELECT 'BUILDING_PDAN_EDUBSARGIS' , UnitType, NumUnits
FROM Building_FreeUnits WHERE (BuildingType = 'BUILDING_COURT_SCRIBE');
------------------------------
------------------------------
INSERT OR REPLACE INTO Language_en_US (Tag, Text)
SELECT 'TXT_KEY_BUILDING_PDAN_EDUBSARGIS_HELP', '+2 [ICON_RESEARCH] Science to Barracks and +3 [ICON_PRODUCTION] Production to Armories in the empire. [NEWLINE]When you win a War, gain +5 [ICON_RESEARCH] Science and 3 [ICON_SILVER_FIST] War Supply in this City, and steal [ICON_INFLUENCE] Influence with all met City-States equal to half your War Score.[NEWLINE][NEWLINE]'||Text
FROM Language_en_US WHERE Tag='TXT_KEY_BUILDING_COURT_SCRIBE_HELP';

UPDATE Language_en_US SET Text = REPLACE(Text, '+1 [ICON_RES_PAPER] Paper', '+2 [ICON_RES_PAPER] Paper')
WHERE Tag = 'TXT_KEY_BUILDING_PDAN_EDUBSARGIS_HELP';

UPDATE Language_en_US SET Text = REPLACE(Text, '[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own.',
' ')
WHERE Tag = 'TXT_KEY_BUILDING_PDAN_EDUBSARGIS_HELP';
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
-- UnitPromotions
--------------------------------
INSERT INTO UnitPromotions 
		(Type, 							Description, 						Help, 										Sound, 				LostWithUpgrade, OrderPriority, CannotBeChosen, PediaEntry)
VALUES	('PROMOTION_PDAN_ZOC', 			'TXT_KEY_PROMOTION_PDAN_ZOC',		'TXT_KEY_PROMOTION_PDAN_ZOC_HELP',			'AS2D_IF_LEVELUP',	0,				 0, 			1,				'TXT_KEY_PROMOTION_PDAN_ZOC');

UPDATE UnitPromotions SET IgnoreZOC = 1 WHERE Type = 'PROMOTION_PDAN_ZOC';
--------------------------------------------------------------------------------------------------------------------------
-- Units
--------------------------------
INSERT INTO Units 	
		(Type, 					Class, PrereqTech,			Combat,	Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, Description, 						Strategy, 								Help, 								Civilopedia, 						MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueDefense, UnitArtInfo, 					UnitFlagAtlas,				UnitFlagIconOffset, IconAtlas,					PortraitIndex, 	MoveRate)
SELECT	'UNIT_PDAN_ANSUKURRA',	Class, 'TECH_THE_WHEEL',	Combat, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_PDAN_ANSUKURRA', 	'TXT_KEY_UNIT_PDAN_ANSUKURRA_STRATEGY',	'TXT_KEY_UNIT_PDAN_ANSUKURRA_HELP',	'TXT_KEY_UNIT_PDAN_ANSUKURRA_TEXT',	MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_PDAN_ANSUKURRA',	'PDAN_UNIT_FLAG_ANSUKURRA',	0,					'PDAN_HITTITES_ICON_ATLAS',	2, 				MoveRate
FROM Units WHERE Type = 'UNIT_HORSEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- UnitGameplay2DScripts
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT	'UNIT_PDAN_ANSUKURRA', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_HORSEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_AITypes
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	'UNIT_PDAN_ANSUKURRA', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_HORSEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_ResourceQuantityRequirements
--------------------------------------------------------------------------------------------------------------------------	
-- Nope	
--------------------------------------------------------------------------------------------------------------------------
-- Unit_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_Flavors 	
		(UnitType, 				FlavorType, Flavor)
SELECT	'UNIT_PDAN_ANSUKURRA', 	FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_HORSEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_FreePromotions
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_FreePromotions 	
		(UnitType, 				PromotionType)
SELECT	'UNIT_PDAN_ANSUKURRA', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_HORSEMAN';

INSERT INTO Unit_FreePromotions 
		(UnitType, 					PromotionType)
VALUES	('UNIT_PDAN_ANSUKURRA', 	'PROMOTION_PDAN_ZOC'),
		('UNIT_PDAN_ANSUKURRA', 	'PROMOTION_ROUGH_TERRAIN_HALF_TURN');
--------------------------------------------------------------------------------------------------------------------------
-- Unit_ClassUpgrades
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 				UnitClassType)
SELECT	'UNIT_PDAN_ANSUKURRA', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_HORSEMAN';

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_PDAN_ANSUKURRA' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_PDAN_ANSUKURRA');
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================	
-- Leaders
--------------------------------			
INSERT INTO Leaders 
		(Type, 						Description, 						Civilopedia, 								CivilopediaTag, 					ArtDefineTag, 					IconAtlas, 					PortraitIndex)
VALUES	('LEADER_PDAN_HITTITES', 	'TXT_KEY_LEADER_PDAN_HITTITES', 	'TXT_KEY_LEADER_PDAN_HITTITES_PEDIA_TEXT_1', 'TXT_KEY_LEADER_PDAN_HITTITES_PEDIA', 'Hittites_leaderscene.xml',	'PDAN_HITTITES_ICON_ATLAS', 		0);

UPDATE Leaders
SET VictoryCompetitiveness = 5,
WonderCompetitiveness = 5,
MinorCivCompetitiveness = 8,
Boldness = 5,
DiploBalance = 6,
WarmongerHate = 5,
DenounceWillingness = 5,
DoFWillingness = 6,
Loyalty = 7,
Neediness = 4,
Forgiveness = 5,
Chattiness = 6,
Meanness = 4
WHERE Type = 'LEADER_PDAN_HITTITES';	

UPDATE Leaders SET PrimaryVictoryPursuit = 'VICTORY_PURSUIT_DIPLOMACY' WHERE Type = 'LEADER_PDAN_HITTITES';
UPDATE Leaders SET SecondaryVictoryPursuit = 'VICTORY_PURSUIT_DOMINATION' WHERE Type = 'LEADER_PDAN_HITTITES';
--------------------------------		
-- Leader_MajorCivApproachBiases
--------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 				MajorCivApproachType, 				Bias)
VALUES	('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_WAR', 			5),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_HOSTILE', 		5),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_DECEPTIVE', 	6),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_GUARDED', 		7),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_AFRAID', 		4),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_FRIENDLY', 		5),
		('LEADER_PDAN_HITTITES', 		'MAJOR_CIV_APPROACH_NEUTRAL', 		7);
--------------------------------	
-- Leader_MajorCivApproachBiases
--------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 				MinorCivApproachType, 				Bias)
VALUES	('LEADER_PDAN_HITTITES', 		'MINOR_CIV_APPROACH_IGNORE', 		4),
		('LEADER_PDAN_HITTITES', 		'MINOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_PDAN_HITTITES', 		'MINOR_CIV_APPROACH_PROTECTIVE', 	8),
		('LEADER_PDAN_HITTITES', 		'MINOR_CIV_APPROACH_CONQUEST', 		4),
		('LEADER_PDAN_HITTITES', 		'MINOR_CIV_APPROACH_BULLY', 		8);
--------------------------------	
-- Leader_Flavors
--------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 				FlavorType, 						Flavor)
VALUES	('LEADER_PDAN_HITTITES', 		'FLAVOR_OFFENSE', 					7),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_DEFENSE', 					6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_CITY_DEFENSE', 				6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_MILITARY_TRAINING', 		8),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_RECON', 					5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_RANGED', 					5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_MOBILE', 					7),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_NAVAL', 					5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_NAVAL_RECON', 				4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_NAVAL_GROWTH', 				4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_AIR', 						5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_EXPANSION', 				7),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_GROWTH', 					7),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_TILE_IMPROVEMENT', 			6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_INFRASTRUCTURE', 			6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_PRODUCTION', 				8),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_GOLD', 						6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_SCIENCE', 					5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_CULTURE', 					6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_HAPPINESS', 				6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_GREAT_PEOPLE', 				5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_WONDER', 					5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_RELIGION', 					6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_DIPLOMACY', 				8),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_SPACESHIP', 				6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_WATER_CONNECTION', 			4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_NUKE', 						4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_USE_NUKE', 					4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_ESPIONAGE', 				7),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_ANTIAIR', 					6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_AIRLIFT', 					6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_I_TRADE_DESTINATION', 		6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_I_TRADE_ORIGIN', 			5),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_I_SEA_TRADE_ROUTE', 		4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_I_LAND_TRADE_ROUTE', 		6),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_ARCHAEOLOGY', 				4),
		('LEADER_PDAN_HITTITES', 		'FLAVOR_AIR_CARRIER', 				4);
--------------------------------	
-- Leader_Traits
--------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 				TraitType)
VALUES	('LEADER_PDAN_HITTITES', 	'TRAIT_PDAN_HITTITES');
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------	
INSERT INTO Traits 
		(Type, 					Description, 					ShortDescription)
VALUES	('TRAIT_PDAN_HITTITES', 'TXT_KEY_TRAIT_PDAN_HITTITES', 	'TXT_KEY_TRAIT_PDAN_HITTITES_SHORT');
--==========================================================================================================================	
-- DIPLOMACY
--==========================================================================================================================	
-- Diplomacy_Responses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Diplomacy_Responses
		(LeaderType, 				ResponseType, 				Response, 										Bias)
VALUES 	('LEADER_PDAN_HITTITES', 	'RESPONSE_DEFEATED', 		'TXT_KEY_LEADER_PDAN_HITTITES_DEFEATED%', 		500),
		('LEADER_PDAN_HITTITES', 	'RESPONSE_FIRST_GREETING', 	'TXT_KEY_LEADER_PDAN_HITTITES_FIRSTGREETING%', 	500);	
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Civilizations
--------------------------------		
INSERT INTO Civilizations 
		(Type, 								Description, 								ShortDescription,								Adjective,											CivilopediaTag,									DefaultPlayerColor,				ArtDefineTag,	ArtStyleType,	ArtStyleSuffix,	ArtStylePrefix,	PortraitIndex,	IconAtlas,						AlphaIconAtlas,					SoundtrackTag, 	MapImage,			DawnOfManQuote,								DawnOfManImage)
SELECT	('CIVILIZATION_PDAN_HITTITES'), 	('TXT_KEY_CIVILIZATION_PDAN_HITTITES'), 	('TXT_KEY_CIVILIZATION_PDAN_HITTITES_SHORT'),	('TXT_KEY_CIVILIZATION_PDAN_HITTITES_ADJECTIVE'),	('TXT_KEY_CIVILIZATION_PDAN_HITTITES_PEDIA'),	('PLAYERCOLOR_PDAN_HITTITES'),	ArtDefineTag,	ArtStyleType,	ArtStyleSuffix,	ArtStylePrefix,	1,				('PDAN_HITTITES_ICON_ATLAS'),	('PDAN_HITTITES_ALPHA_ATLAS'),	('Assyria'), 	('HittiteMap.dds'),	('TXT_KEY_CIV5_DAWN_PDAN_HITTITES_TEXT'),	('pdan_HittiteDOM.dds')
FROM Civilizations WHERE (Type = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Civilization_CityNames
--------------------------------	
INSERT INTO Civilization_CityNames
        (CivilizationType,					CityName)
VALUES	('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_01'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_02'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_03'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_04'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_05'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_06'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_07'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_08'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_09'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_10'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_11'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_12'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_13'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_14'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_15'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_16'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_17'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_18'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_19'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_20'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_21'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_22'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_23'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_24'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_25'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_26'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_27'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_28'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_29'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_30'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_31'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_32'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_33'),
		('CIVILIZATION_PDAN_HITTITES',		'TXT_KEY_CITY_NAME_PDAN_HITTITES_34');	
--------------------------------	
-- Civilization_FreeBuildingClasses
--------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 					BuildingClassType)
SELECT	('CIVILIZATION_PDAN_HITTITES'),		BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Civilization_FreeTechs
--------------------------------		
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 					TechType)
SELECT	('CIVILIZATION_PDAN_HITTITES'),		TechType
FROM Civilization_FreeTechs WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Civilization_FreeUnits
--------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 					UnitClassType, Count, UnitAIType)
SELECT	('CIVILIZATION_PDAN_HITTITES'),		UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Civilization_Leaders
--------------------------------
INSERT INTO Civilization_Leaders 
		(CivilizationType, 					LeaderheadType)
VALUES	('CIVILIZATION_PDAN_HITTITES',		'LEADER_PDAN_HITTITES');
--------------------------------
-- Civilization_BuildingClassOverrides 
--------------------------------
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 				BuildingType)
VALUES	('CIVILIZATION_PDAN_HITTITES',	'BUILDINGCLASS_COURT_SCRIBE',	'BUILDING_PDAN_EDUBSARGIS');
--------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 				UnitType)
VALUES	('CIVILIZATION_PDAN_HITTITES', 	'UNITCLASS_HORSEMAN',		'UNIT_PDAN_ANSUKURRA');
--------------------------------	
-- Civilization_Religions
--------------------------------		
INSERT INTO Civilization_Religions 
		(CivilizationType, 					ReligionType)
SELECT	('CIVILIZATION_PDAN_HITTITES'),		ReligionType
FROM Civilization_Religions WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Civilization_SpyNames
--------------------------------
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 					SpyName)
VALUES	('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_0'),	
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_1'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_2'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_3'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_4'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_5'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_6'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_7'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_8'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_9'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_10'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_11'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_12'),
		('CIVILIZATION_PDAN_HITTITES', 		'TXT_KEY_SPY_NAME_PDAN_HITTITE_13');
--------------------------------	
-- Civilization_Start_Region_Avoid 
--------------------------------		
INSERT INTO Civilization_Start_Region_Avoid 
		(CivilizationType, 					RegionType)
VALUES	('CIVILIZATION_PDAN_HITTITES', 		'REGION_JUNGLE'),
		('CIVILIZATION_PDAN_HITTITES', 		'REGION_FOREST');
--==========================================================================================================================
--==========================================================================================================================