--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResource(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
CREATE TABLE IF NOT EXISTS JFD_Civilopedia_HideFromPedia(Type text);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings(Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
--==========================================================================================================================
-- CIVILIZATIONS
--==========================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- Civilization_JFD_CultureTypes
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,				ArtDefineTag, CultureType,	SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag,		SplashScreenTag, SoundtrackTag,  UnitDialogueTag)
SELECT	'CIVILIZATION_PDAN_HITTITES',	ArtDefineTag, CultureType,	SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag,		SplashScreenTag, SoundtrackTag,  UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_ASSYRIA';
	
/*UPDATE Civilizations 
SET SoundtrackTag = (SELECT SoundtrackTag FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_PDAN_HITTITES')
WHERE Type = 'CIVILIZATION_PDAN_HITTITES' AND EXISTS (SELECT SoundID FROM Audio_Sounds WHERE SoundID = 'SND_JFD_ABORIGINAL_PEACE_01');*/
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_JFD_ColonialCityNames 
		(CivilizationType, 			LinguisticType)
SELECT	'CIVILIZATION_PDAN_HITTITES',	LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType = 'CIVILIZATION_ASSYRIA';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,			GovernmentType,				Weight)
VALUES  ('CIVILIZATION_PDAN_HITTITES',	'GOVERNMENT_JFD_MONARCHY',	90);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,			MapPrefix,		X,		Y,		AltX,	AltY)
		-- v23/24
VALUES	('CIVILIZATION_PDAN_HITTITES',	'Yagem',		36,		58,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Yahem',		71,		53,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Cordiform',	47,		24,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'GreatestEarth', 62,	44,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'EuroGiant',	128,	28,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'EuroLarge', 	59,		29,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'EuroLargeNew', 65,		22,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Mesopotamia', 	21,		40,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Mediterranean', 81,	38,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Aegean', 		59,		40,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'AfriAsiaAust', 48,		74,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'AfriSouthEuro', 57,	70,		null,	null),
		-- v25
		('CIVILIZATION_PDAN_HITTITES',	'MediterraneanHuge', 74, 53,	null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'Orient', 		38, 	62,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'MesopotamiaGiant', 49,	85,		null,	null),
		('CIVILIZATION_PDAN_HITTITES',	'EarthMk3',		38,		56,		null,	null);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResource
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResource
		(CivilizationType,			MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_PDAN_HITTITES',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResource WHERE CivilizationType = 'CIVILIZATION_ASSYRIA';
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = '_ASSYRIA'
WHERE Type = 'CIVILIZATION_PDAN_HITTITES'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ASSYRIA');
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS
--==========================================================================================================================
-- Civilization_Religions
------------------------------------------------------------
UPDATE Civilization_Religions SET ReligionType = 
	( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_LIIM_DINGERMES' )
		THEN 'RELIGION_LIIM_DINGERMES'
		ELSE ( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_SISKURMES' )
		THEN 'RELIGION_SISKURMES'
		ELSE ( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type = 'RELIGION_CHALDEANISM' )
		THEN 'RELIGION_CHALDEANISM'
		ELSE 'RELIGION_ISLAM' END ) END ) END
	) WHERE CivilizationType = 'CIVILIZATION_PDAN_HITTITES';
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
------------------------------  
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
		(CivType,						CultureType,	CultureEra)
SELECT	'CIVILIZATION_PDAN_HITTITES',	CultureType,	CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_ASSYRIA';
--==========================================================================================================================
--==========================================================================================================================