--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Civilization_BuildingClassOverrides 
--------------------------------
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 		BuildingType)
SELECT	'CIVILIZATION_PDAN_HITTITES',	'BUILDINGCLASS_FORGE',	'BUILDING_PDAN_KUBABBAR'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 			UnitType)
SELECT	'CIVILIZATION_PDAN_HITTITES', 	'UNITCLASS_GALLEY',	'UNIT_PDAN_ANYT'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
--------------------------------	
INSERT INTO Buildings 	
		(Type, 						TradeRouteLandGoldBonus, 	TradeRouteSeaGoldBonus,	SpecialistType,	SpecialistCount, FreeStartEra, BuildingClass, PrereqTech, 			 Cost, GoldMaintenance, MinAreaSize, NeverCapture, 	Description, 						Civilopedia, 							Help, 									Strategy,									ArtDefineTag, PortraitIndex, IconAtlas)
SELECT	'BUILDING_PDAN_KUBABBAR',	300,						300,					SpecialistType,	SpecialistCount, FreeStartEra, BuildingClass, 'TECH_BRONZE_WORKING', Cost, GoldMaintenance, MinAreaSize, 1, 			'TXT_KEY_BUILDING_PDAN_KUBABBAR', 	'TXT_KEY_BUILDING_PDAN_KUBABBAR_TEXT',	'TXT_KEY_BUILDING_PDAN_KUBABBAR_HELP',	'TXT_KEY_BUILDING_PDAN_KUBABBAR_STRATEGY',	ArtDefineTag, 6, 			 'PDAN_HITTITES_ICON_ATLAS'
FROM Buildings WHERE Type = 'BUILDING_FORGE';
--------------------------------	
-- Building_ResourceYieldChanges
--------------------------------	
INSERT INTO Building_ResourceYieldChanges 	
		(BuildingType, 				ResourceType,		YieldType,		Yield)
SELECT	'BUILDING_PDAN_KUBABBAR',	ResourceType,		YieldType,		Yield
FROM Building_ResourceYieldChanges WHERE BuildingType = 'BUILDING_FORGE';
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges 	
		(BuildingType, 				YieldType,	Yield)
SELECT	'BUILDING_PDAN_KUBABBAR',	YieldType,	Yield
FROM Building_YieldChanges WHERE (BuildingType = 'BUILDING_FORGE');

INSERT INTO Building_YieldChanges
		(BuildingType, 				YieldType, Yield)
VALUES	('BUILDING_PDAN_KUBABBAR', 'YIELD_SCIENCE', 2),
		('BUILDING_PDAN_KUBABBAR', 'YIELD_GOLD', 	2);
--------------------------------	
-- Building_Flavors
--------------------------------	
INSERT INTO Building_Flavors 	
		(BuildingType, 				FlavorType, Flavor)
SELECT	'BUILDING_PDAN_KUBABBAR',	FlavorType, Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_FORGE';
--------------------------------	
-- Building_ImprovementYieldChanges
--------------------------------	
INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 				ImprovementType, YieldType, Yield)
SELECT	'BUILDING_PDAN_KUBABBAR',	ImprovementType, YieldType, Yield+1
FROM Building_ImprovementYieldChanges WHERE BuildingType = 'BUILDING_FORGE';
------------------------------	
-- Building_ResourcePlotsToPlace
------------------------------
INSERT INTO Building_ResourcePlotsToPlace
		(BuildingType, 				ResourceType, NumPlots, ResourceQuantityToPlace)
VALUES	('BUILDING_PDAN_KUBABBAR', 'RESOURCE_IRON', 1,		2);
------------------------------
------------------------------
INSERT OR REPLACE INTO Language_en_US (Tag, Text)
SELECT 'TXT_KEY_BUILDING_PDAN_KUBABBAR_HELP', '+3 [ICON_GOLD] Gold to International Trade Routes from this City. An [ICON_RES_IRON] Iron resource appears on a nearby valid tile.[NEWLINE]'||Text
FROM Language_en_US WHERE Tag='TXT_KEY_BUILDING_FORGE_HELP';

UPDATE Language_en_US SET Text = REPLACE(Text, 'Mines worked by this City gain +1 [ICON_PRODUCTION] Production.',
'Mines worked by this City gain +2 [ICON_PRODUCTION] Production.')
WHERE Tag = 'TXT_KEY_BUILDING_PDAN_KUBABBAR_HELP';
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
-- UnitPromotions
--------------------------------
INSERT INTO UnitPromotions 
		(Type, 							 Description, 							Help, 										Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES	('PROMOTION_PDAN_IMPRESSMENT',	 'TXT_KEY_PROMOTION_PDAN_IMPRESSMENT',	'TXT_KEY_PROMOTION_PDAN_IMPRESSMENT_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,			59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_PDAN_IMPRESSMENT');
--======================================================================================================
-- UNITS
--======================================================================================================
-- Units
--------------------------------
INSERT INTO Units
		(Type,              Class,    CombatClass, WorkRate, PrereqTech, Combat, 	RangedCombat, Range, FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, 	Domain, DefaultUnitAI, CivilianAttackPriority, Special, Description,                  Help,                              Strategy,                             Civilopedia,                		MilitarySupport, MilitaryProduction, Pillage, AdvancedStartCost, MinAreaSize, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription,  UnitArtInfo,              UnitFlagAtlas,			UnitFlagIconOffset, IconAtlas,        			PortraitIndex,  MoveRate)
SELECT  'UNIT_PDAN_ANYT',   Class,    CombatClass, WorkRate, PrereqTech, Combat+3,  RangedCombat, Range, FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, 	Domain, DefaultUnitAI, CivilianAttackPriority, Special, 'TXT_KEY_UNIT_PDAN_ANYT',    'TXT_KEY_UNIT_PDAN_ANYT_HELP',    'TXT_KEY_UNIT_PDAN_ANYT_STRATEGY',     'TXT_KEY_UNIT_PDAN_ANYT_TEXT', 	MilitarySupport, MilitaryProduction, Pillage, AdvancedStartCost, MinAreaSize, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, 'ART_DEF_UNIT_PDAN_ANYT', 'PDAN_UNIT_FLAG_ANYT',   0,					'PDAN_HITTITES_ICON_ATLAS', 5,  			MoveRate
FROM Units WHERE Type = 'UNIT_VP_GALLEY';
--------------------------------
-- UnitGameplay2DScripts
--------------------------------
INSERT INTO UnitGameplay2DScripts
       (UnitType,         SelectionSound, FirstSelectionSound)
SELECT 'UNIT_PDAN_ANYT',  SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_VP_GALLEY';
--------------------------------
-- Unit_Flavors
--------------------------------
INSERT INTO Unit_Flavors
       (UnitType,         FlavorType, Flavor)
SELECT 'UNIT_PDAN_ANYT',  FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_VP_GALLEY';
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions
        (UnitType,         PromotionType)
SELECT  'UNIT_PDAN_ANYT',  PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_VP_GALLEY';

INSERT INTO Unit_FreePromotions
        (UnitType,			PromotionType)
VALUES  ('UNIT_PDAN_ANYT',  'PROMOTION_ENSLAVEMENT'),
		('UNIT_PDAN_ANYT',  'PROMOTION_PDAN_IMPRESSMENT');
--------------------------------
-- Unit_ClassUpgrades
--------------------------------
INSERT INTO Unit_ClassUpgrades
        (UnitType,         UnitClassType)
SELECT  'UNIT_PDAN_ANYT',  UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_VP_GALLEY';

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_PDAN_ANYT' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_PDAN_ANYT');
--======================================================================================================
--======================================================================================================